package cn.com.qmth.stmms.common.enums;

public enum ConfigType {
    FILE_SERVER("图片服务", 1), MARK_TIME("评卷时长", 2), AUTO_REPORT("自动统计", 3);

    private String name;

    private int value;

    private ConfigType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static ConfigType findByValue(int value) {
        for (ConfigType c : ConfigType.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
